<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary px-4" (click)="buscarInfo()" [disabled]="ngForm.invalid">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row d-flex">
        <div class="col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <div class="form-group">
            <label class="w-100"></label>
            <input type="radio" formControlName="cChr1" value="T" name="cChr1" id="box1" [checked]="true"
              class="k-radio">
            <label class="k-radio-label mt-2" for="box1">Tarifas</label>
          </div>
          <div class="form-group">
            <input type="radio" formControlName="cChr1" value="M" name="cChr1" id="box2" class="k-radio">
            <label class="k-radio-label" for="box2">Mayoristas</label>
          </div>
        </div>

        <div class="row-fluid col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <div class="form-group">
            <label class="w-100">Tarifa</label>
            <div class="input-group w-100">
              <input type="text" class="form-control" formControlName="cChr2" readonly>
              <div class="input-group-append">
                <button class="btn btn-primary" (click)="openModal(modal)">
                  <i class="fas fa-search"></i>
                </button>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="w-100">Tipo</label>
            <div class="input-group w-100">
              <input type="text" class="form-control" formControlName="cChr3" readonly>
            </div>
          </div>
        </div>
        <div class="row-fluid col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <div class="form-group">
            <label class="w-100">Desde</label>
            <kendo-datepicker formControlName="fFec1" [format]="formatKendo" class="w-100">
            </kendo-datepicker>
          </div>
          <div class="form-group">
            <label class="w-100">Hasta</label>
            <kendo-datepicker formControlName="fFec2" [format]="formatKendo" class="w-100">
            </kendo-datepicker>
          </div>
        </div>
        <div class="row-fluid col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2 ml-2">
          <div class="form-group">
            <label class="w-100"></label>
            <input class="k-checkbox" type="checkbox" id="check2" checked="" formControlName="lLog1">
            <label class="k-checkbox-label mt-2" for="check2">Generar Excel</label>
          </div>
          <div class="form-group" *ngIf="ngForm.value.lLog1">
            <strong class="w-100">Excel</strong>
            <div class="form-group">
              <input type="radio" formControlName="iInt1" value="1" name="iInt1" id="box3" [checked]="true"
                class="k-radio">
              <label class="k-radio-label mr-2" for="box3">Tarifas</label>
            </div>
            <div class="form-group">
              <input type="radio" formControlName="iInt1" value="2" name="iInt1" id="box4" class="k-radio">
              <label class="k-radio-label mr-2" for="box4">Detalle de Tarifas</label>
            </div>
          </div>
        </div>
      </div>
    </form>

    <ng-container *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [reorderable]="true"
        [resizable]="true" #grid style="height: 30vh;">
        <ng-container *ngIf="dataGrid.length !== 0">
          <kendo-grid-column field="FechaMov" title="Fecha" width="110">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="100">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Tipo" title="Tipo" width="75">
          </kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Mon." width="80">
          </kendo-grid-column>
          <kendo-grid-column field="ttfl" title="T.F.L." width="80">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.ttfl ? 'Si' : 'No' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Promocion" title="Prom." width="80">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Promocion ? 'Si' : 'No' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Desde" title="Desde" width="120">
          </kendo-grid-column>
          <kendo-grid-column field="Hasta" title="Hasta" width="120">
          </kendo-grid-column>
          <kendo-grid-column field="Gratis" title="Gratis" width="90" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="Noches" title="Por Cada Noche" width="150" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="Minimo" title="Mínimo" width="90" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="Prorratea" title="Prorratea" width="100">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Prorratea ? 'Si' : 'No' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Tarifa" title="Tarifa" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="Usuario" title="Ope." width="100">
          </kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </ng-container>

    <div class="divider"></div>

    <ng-container *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGridDetalle" [selectable]="true" filterable="menu" [pageSize]="pageSize"
        [reorderable]="true" [resizable]="true" [skip]="skip"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" #grid style="height: 60vh;">
        <ng-container *ngIf="dataGridDetalle.length !== 0">
          <kendo-grid-column field="TipoCuarto" title="Tipo Cuarto" width="150">
          </kendo-grid-column>
          <kendo-grid-column field="FechaMov" title="Fecha" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="TipoTarifa" title="Tipo" width="100">
          </kendo-grid-column>
          <kendo-grid-column field="FechaInicio" title="Fec. Inicio" width="130" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaInicio | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="FechaTermino" title="Fec. Término" width="130" filterable="false">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaTermino | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Adultos[0]" title="Sencillo" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Adultos[0] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Adultos[1]" title="Doble" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Adultos[1] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Adultos[2]" title="Triple" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Adultos[2] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Adultos[10]" title="Adicional" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Adultos[10] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Juniors[0]" title="Juniors" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Juniors[10] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Menores[0]" title="Menores" width="100" filterable="false" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Menores[10] | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="detalle" title="Desglose" width="100" filterable="false">
          </kendo-grid-column>
          <kendo-grid-column field="Usuario" title="Ope." width="100">
          </kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </ng-container>

    <app-loading *ngIf="loading">
      Buscando resultados...
    </app-loading>

  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title">Selección de Tarifa</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-tarifas (tarifas)="getDataModal($event); c()">
    </app-help-tarifas>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>
